<?php

  $carpenter_services_theme_custom_setting_css = '';

    // Global Color
    $carpenter_services_first_theme_color = get_theme_mod('carpenter_services_first_theme_color', '#492D25');
    $carpenter_services_second_theme_color = get_theme_mod('carpenter_services_second_theme_color', '#724935');
    $carpenter_services_third_theme_color = get_theme_mod('carpenter_services_third_theme_color', '#FFF7E9');
    $carpenter_services_fourth_theme_color = get_theme_mod('carpenter_services_fourth_theme_color', '#EABF7C');

    $carpenter_services_theme_custom_setting_css .=':root {';
        $carpenter_services_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($carpenter_services_first_theme_color ).'!important;';
        $carpenter_services_theme_custom_setting_css .='--secondary-theme-color: '.esc_attr($carpenter_services_second_theme_color ).'!important;';
        $carpenter_services_theme_custom_setting_css .='--tertiary-theme-color: '.esc_attr($carpenter_services_third_theme_color ).'!important;';
        $carpenter_services_theme_custom_setting_css .='--fourth-theme-color: '.esc_attr($carpenter_services_fourth_theme_color ).'!important;';
    $carpenter_services_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$carpenter_services_scroll_alignment = get_theme_mod('carpenter_services_scroll_alignment', 'right');

    if($carpenter_services_scroll_alignment == 'right'){
        $carpenter_services_theme_custom_setting_css .='.scroll-up{';
            $carpenter_services_theme_custom_setting_css .='right: 30px;!important;';
			$carpenter_services_theme_custom_setting_css .='left: auto;!important;';
        $carpenter_services_theme_custom_setting_css .='}';
    }else if($carpenter_services_scroll_alignment == 'center'){
        $carpenter_services_theme_custom_setting_css .='.scroll-up{';
            $carpenter_services_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $carpenter_services_theme_custom_setting_css .='}';
    }else if($carpenter_services_scroll_alignment == 'left'){
        $carpenter_services_theme_custom_setting_css .='.scroll-up{';
            $carpenter_services_theme_custom_setting_css .='left: 30px;!important;';
			$carpenter_services_theme_custom_setting_css .='right: auto;!important;';
        $carpenter_services_theme_custom_setting_css .='}';
    }

    // Woocommerce Sale Position
    $carpenter_services_sale_badge_position = get_theme_mod( 'carpenter_services_sale_badge_position','right');
    if($carpenter_services_sale_badge_position == 'left'){
        $carpenter_services_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $carpenter_services_theme_custom_setting_css .='left: 10px; right: auto;';
        $carpenter_services_theme_custom_setting_css .='}';
    }else if($carpenter_services_sale_badge_position == 'right'){
        $carpenter_services_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $carpenter_services_theme_custom_setting_css .='left: auto; right: 10px;';
        $carpenter_services_theme_custom_setting_css .='}';
    }

    // Featured Image Hover Effect
    $carpenter_services_show_featured = get_theme_mod('carpenter_services_featured_image_hide_show', 1);
    $carpenter_services_hover_effect = get_theme_mod('carpenter_services_single_post_featured_image_hover','none');

    if ( $carpenter_services_show_featured && $carpenter_services_hover_effect !== 'none' ) {

    $carpenter_services_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $carpenter_services_hover_effect === 'zoom-in' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $carpenter_services_hover_effect === 'zoom-out' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $carpenter_services_hover_effect === 'grayscale' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $carpenter_services_hover_effect === 'sepia' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $carpenter_services_hover_effect === 'blur' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $carpenter_services_hover_effect === 'bright' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $carpenter_services_hover_effect === 'translate' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $carpenter_services_hover_effect === 'scale' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $carpenter_services_show_featured = get_theme_mod('carpenter_services_featured_image_hide_show', 1);
    $carpenter_services_hover_effect = get_theme_mod('carpenter_services_product_featured_image_hover','none');

    if ( $carpenter_services_show_featured && $carpenter_services_hover_effect !== 'none' ) {

    $carpenter_services_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $carpenter_services_hover_effect === 'zoom-in' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $carpenter_services_hover_effect === 'zoom-out' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $carpenter_services_hover_effect === 'grayscale' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $carpenter_services_hover_effect === 'sepia' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $carpenter_services_hover_effect === 'blur' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $carpenter_services_hover_effect === 'bright' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $carpenter_services_hover_effect === 'translate' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $carpenter_services_hover_effect === 'scale' ) {
        $carpenter_services_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
} 
